﻿@model List<CRPageMapView>
<table class="table table-striped">
    <thead>
        <tr>
            <th><strong>@Companies.Page</strong></th>
            <th><strong>@Companies.CRN</strong></th>
            <th><strong>@Companies.Delete</strong></th>
        </tr>
    </thead>
    <tbody>
        @if (Model != null)
        {
            foreach (CRPageMapView item in Model)
            {
                string mCRNameInput = "CRName-" + item.FromDB + "-" + item.IdICRPageMap;
                <tr id="rowNum-@(item.FromDB + "-" + item.IdICRPageMap)">
                    <td>
                        @item.Page.Description
                        <input type="hidden" id='@(item.IdPage.ToString() + "-" + item.FromDB + "-" + item.IdICRPageMap.ToString())' />
                    </td>
                    <td><input class="form-control" value='@item.CRName' id="@mCRNameInput" name="@mCRNameInput" /></td>
                    <td>
                        <a href='#' onclick="ShowDeleteMessage('@(item.FromDB + "-" + item.IdICRPageMap)', '@Companies.DM');" class="btn btn-primary btn-xs">
                            <span class="glyphicon glyphicon-trash"></span>&nbsp;@Companies.Delete &nbsp;&nbsp;
                        </a>
                    </td>
                </tr>
            }
        }
    </tbody>
</table>
